<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="RadCalendar.Net2" Namespace="Telerik.WebControls" TagPrefix="radcln" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>

            <script type="text/javascript">
            function GetFirstWeekDay(headerCell)
            {
                var firstWeekDayCell = headerCell.nextSibling;
                var dayId = firstWeekDayCell.DayId;
                
                var dateMatch = dayId.match(/.*?_(\d+)_(\d+)_(\d+)/);
                return [dateMatch[1], dateMatch[2], dateMatch[3]];
            }
            
            function OnRowHeaderClick(calendarInstance, args)
            {
                var headerCell = args.DomElement;
                var date = GetFirstWeekDay(headerCell);
                
                var action = "Selecting";
                // check whether we are currently selecting / unselecting the week in question
                if (calendarInstance.Selection.SelectedDates.Get(date))
                {
                    action = "Unselecting";
                }

                var weekStartDate = new Date(date[0], (date[1] - 1), date[2]);
                var weekEndDate = new Date(date[0], (date[1] - 1), date[2]);
                weekEndDate.setDate(weekEndDate.getDate() + 6);

                return confirm(action + " " + weekStartDate.toDateString() + " through " + weekEndDate.toDateString() + "?");
            }
            
            var userClick = false;
            function OnDateClick()
            {
                //this flag is used to record the user activity of clicking a specific date -- should cancel selection in this case
                userClick = true;
            }
            
            function OnDateSelecting()
            {
                var returnValue = true;
                
                // allow selection only for whole weeks (i.e. not triggered by user clicking specific date)
                if (userClick)
                {
                    returnValue = false;
                }
                
                userClick = false;
                
                return returnValue;
            }
            </script>

            <radcln:RadCalendar ID="RadCalendar1" runat="server" FirstDayOfWeek="Monday" UseColumnHeadersAsSelectors="false">
                <ClientEvents OnRowHeaderClick="OnRowHeaderClick" OnDateClick="OnDateClick" OnDateSelecting="OnDateSelecting" />
            </radcln:RadCalendar>
        </div>
    </form>
</body>
</html>
